it.gov.taccuino

## Class DocumentoType

- java.lang.Object
- - it.gov.taccuino.DocumentoType

-     @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public class DocumentoType
      extends Object

  Classe Java per documentoType complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="documentoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="tipoDocumento">
                 <complexType>
                   <simpleContent>
                     <extension base="<http://www.w3.org/2001/XMLSchema>string">
                       <attribute name="typeCode">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="57833-6"/>
                             <enumeration value="60591-5"/>
                             <enumeration value="11502-2"/>
                             <enumeration value="57829-4"/>
                             <enumeration value="34105-7"/>
                             <enumeration value="59258-4"/>
                             <enumeration value="68604-8"/>
                             <enumeration value="11526-1"/>
                             <enumeration value="59284-0"/>
                             <enumeration value="28653-4"/>
                             <enumeration value="57832-8"/>
                             <enumeration value="29304-3"/>
                             <enumeration value="11488-4"/>
                             <enumeration value="57827-8"/>
                             <enumeration value="81223-0"/>
                             <enumeration value="TBD-TBD"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
               <element name="testoLibero" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="0"/>
                     <maxLength value="2000"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="provenienzaDocumento" type="{urn:taccuino:common}string1_256"/>
               <element name="noteDocumento" type="{urn:taccuino:common}string0_256" minOccurs="0"/>
               <element name="contenutoDocumento">
                 <complexType>
                   <simpleContent>
                     <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
                       <attribute name="mimeType" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="application/pdf"/>
                             <enumeration value="image/jpeg"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="idDocumento" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="dataEmissione" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataInserimento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DocumentoType.ContenutoDocumento` Classe Java per anonymous complex type.
    `static class` | `DocumentoType.TipoDocumento` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DocumentoType.ContenutoDocumento` | `contenutoDocumento`
    `protected XMLGregorianCalendar` | `dataAggiornamento`
    `protected XMLGregorianCalendar` | `dataEmissione`
    `protected XMLGregorianCalendar` | `dataInserimento`
    `protected String` | `idDocumento`
    `protected String` | `noteDocumento`
    `protected String` | `provenienzaDocumento`
    `protected String` | `testoLibero`
    `protected DocumentoType.TipoDocumento` | `tipoDocumento`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentoType.ContenutoDocumento` | `getContenutoDocumento()` Recupera il valore della proprietà contenutoDocumento.
    `XMLGregorianCalendar` | `getDataAggiornamento()` Recupera il valore della proprietà dataAggiornamento.
    `XMLGregorianCalendar` | `getDataEmissione()` Recupera il valore della proprietà dataEmissione.
    `XMLGregorianCalendar` | `getDataInserimento()` Recupera il valore della proprietà dataInserimento.
    `String` | `getIdDocumento()` Recupera il valore della proprietà idDocumento.
    `String` | `getNoteDocumento()` Recupera il valore della proprietà noteDocumento.
    `String` | `getProvenienzaDocumento()` Recupera il valore della proprietà provenienzaDocumento.
    `String` | `getTestoLibero()` Recupera il valore della proprietà testoLibero.
    `DocumentoType.TipoDocumento` | `getTipoDocumento()` Recupera il valore della proprietà tipoDocumento.
    `void` | `setContenutoDocumento(DocumentoType.ContenutoDocumento value)` Imposta il valore della proprietà contenutoDocumento.
    `void` | `setDataAggiornamento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataAggiornamento.
    `void` | `setDataEmissione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataEmissione.
    `void` | `setDataInserimento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataInserimento.
    `void` | `setIdDocumento(String value)` Imposta il valore della proprietà idDocumento.
    `void` | `setNoteDocumento(String value)` Imposta il valore della proprietà noteDocumento.
    `void` | `setProvenienzaDocumento(String value)` Imposta il valore della proprietà provenienzaDocumento.
    `void` | `setTestoLibero(String value)` Imposta il valore della proprietà testoLibero.
    `void` | `setTipoDocumento(DocumentoType.TipoDocumento value)` Imposta il valore della proprietà tipoDocumento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tipoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected DocumentoType.TipoDocumento tipoDocumento

    - #### testoLibero

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String testoLibero

    - #### provenienzaDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String provenienzaDocumento

    - #### noteDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String noteDocumento

    - #### contenutoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected DocumentoType.ContenutoDocumento contenutoDocumento

    - #### idDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String idDocumento

    - #### dataEmissione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataEmissione

    - #### dataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataAggiornamento

    - #### dataInserimento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataInserimento

  - ### Constructor Detail

    - #### DocumentoType

          public DocumentoType()

  - ### Method Detail

    - #### getTipoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public DocumentoType.TipoDocumento getTipoDocumento()

      Recupera il valore della proprietà tipoDocumento.
      Returns:
        possible object is `DocumentoType.TipoDocumento`

    - #### setTipoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setTipoDocumento(DocumentoType.TipoDocumento value)

      Imposta il valore della proprietà tipoDocumento.
      Parameters:
        `value` - allowed object is `DocumentoType.TipoDocumento`

    - #### getTestoLibero

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getTestoLibero()

      Recupera il valore della proprietà testoLibero.
      Returns:
        possible object is `String`

    - #### setTestoLibero

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setTestoLibero(String value)

      Imposta il valore della proprietà testoLibero.
      Parameters:
        `value` - allowed object is `String`

    - #### getProvenienzaDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getProvenienzaDocumento()

      Recupera il valore della proprietà provenienzaDocumento.
      Returns:
        possible object is `String`

    - #### setProvenienzaDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setProvenienzaDocumento(String value)

      Imposta il valore della proprietà provenienzaDocumento.
      Parameters:
        `value` - allowed object is `String`

    - #### getNoteDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getNoteDocumento()

      Recupera il valore della proprietà noteDocumento.
      Returns:
        possible object is `String`

    - #### setNoteDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setNoteDocumento(String value)

      Imposta il valore della proprietà noteDocumento.
      Parameters:
        `value` - allowed object is `String`

    - #### getContenutoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public DocumentoType.ContenutoDocumento getContenutoDocumento()

      Recupera il valore della proprietà contenutoDocumento.
      Returns:
        possible object is `DocumentoType.ContenutoDocumento`

    - #### setContenutoDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setContenutoDocumento(DocumentoType.ContenutoDocumento value)

      Imposta il valore della proprietà contenutoDocumento.
      Parameters:
        `value` - allowed object is `DocumentoType.ContenutoDocumento`

    - #### getIdDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getIdDocumento()

      Recupera il valore della proprietà idDocumento.
      Returns:
        possible object is `String`

    - #### setIdDocumento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setIdDocumento(String value)

      Imposta il valore della proprietà idDocumento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataEmissione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataEmissione()

      Recupera il valore della proprietà dataEmissione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataEmissione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataEmissione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataEmissione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataAggiornamento()

      Recupera il valore della proprietà dataAggiornamento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataAggiornamento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataAggiornamento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataInserimento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataInserimento()

      Recupera il valore della proprietà dataInserimento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataInserimento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataInserimento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataInserimento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2024. All rights reserved.